# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Matrix2.hpp File Reference

`#include "vl/checks.hpp"`
`#include <cstring>`

## Classes

class | vl::Matrix2< scalar_type >
| The Matrix2 class is a template class that implements a generic 2x2 matrix, see also vl::dmat2, vl::fmat2, vl::umat2, vl::imat2. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Typedefs

typedef Matrix2< GLdouble > | vl::dmat2
| A 2x2 matrix using `GLdouble` precision.
typedef Matrix2< GLfloat > | vl::fmat2
| A 2x2 matrix using `GLfloat` precision.
typedef Matrix2< GLint > | vl::imat2
| A 2x2 matrix using `GLint` precision.
typedef Matrix2< GLuint > | vl::umat2
| A 2x2 matrix using `GLuint` precision.
typedef dmat2 | vl::mat2
| Defined as: `'typedef` `dmat2` `mat2'`. See also VL_PIPELINE_PRECISION.

## Functions

template<typename scalar_type >
Matrix2< scalar_type > | vl::operator* (const Matrix2< scalar_type > &m2, const Matrix2< scalar_type > &m1)
template<typename scalar_type >
Matrix2< scalar_type > | vl::operator+ (scalar_type d, const Matrix2< scalar_type > &m)
template<typename scalar_type >
Matrix2< scalar_type > | vl::operator* (scalar_type d, const Matrix2< scalar_type > &m)
template<typename scalar_type >
Vector2< scalar_type > | vl::operator* (const Matrix2< scalar_type > &m, const Vector2< scalar_type > &v)
template<typename scalar_type >
Vector2< scalar_type > | vl::operator* (const Vector2< scalar_type > &v, const Matrix2< scalar_type > &m)

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:28 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.